# $Revision: 1.58 $, $Date: 2008-03-02 14:49:13 $
Summary:	Backup software
Summary(pl.UTF-8):	Oprogramowanie do robienia kopii zapasowych
Name:		rdiff-backup
Version:	1.1.15
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://savannah.nongnu.org/download/rdiff-backup/%{name}-%{version}.tar.gz
# Source0-md5:	7c3dfae289d0f4dea3647ae2831c46c7
URL:		http://www.nongnu.org/rdiff-backup/
BuildRequires:	librsync-devel >= 0.9.6
BuildRequires:	popt-devel
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-pylibacl
Requires:	python-pyxattr
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically (nightly
from cron for instance). The target directory ends up a copy of the
source directory, but extra reverse diffs are stored in the target
directory, so you can still recover files lost some time ago. The idea
is to combine the best features of a mirror and an incremental backup.
rdiff-backup can also operate in a bandwidth efficient manner over a
pipe, like rsync. Thus you can use rdiff-backup and SSH to securely
back a hard drive up to a remote location, and only the differences
from the previous backup will be transmitted.

%description -l pl.UTF-8
rdiff-backup jest skryptem napisanym w Pythonie, służącym do robienia
kopii zapasowych. Pomyślany został w taki sposób, aby działać okresowo
- na przykład w nocy, poprzez crona. Katalog docelowy po zakończeniu
działania skryptu zawiera kopię katalogu źródłowego, ale dodatkowo w
katalogu docelowym przechowywane są dodatkowe informacje o zmianach,
co umożliwia odzyskanie plików sprzed jakiegoś czasu. Ideą działania
skryptu jest połączenie funkcjonalności mirrorowania oraz
przyrostowych kopii zapasowych. rdiff-backup potrafi również być
przyjaznym dla łącza umożliwiając backup przez sieć z wykorzystaniem
bezpiecznego połączenia SSH, gdzie jedynymi przesyłanymi danymi będą
różnice w stosunku do poprzedniej kopii zapasowej.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README FAQ.html examples.html
%attr(755,root,root) %{_bindir}/rdiff-backup
%attr(755,root,root) %{_bindir}/rdiff-backup-statistics
%{_mandir}/man1/rdiff-backup.1*
%{_mandir}/man1/rdiff-backup-statistics.1*
%dir %{py_sitedir}/rdiff_backup
%{py_sitedir}/rdiff_backup/*.py[co]
%attr(755,root,root) %{py_sitedir}/rdiff_backup/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rdiff-backup.spec,v $
Revision 1.58  2008-03-02 14:49:13  undefine
- up to 1.1.15

Revision 1.57  2007/02/13 23:53:28  charles
- updated to 1.0.5
- BR: rpm-pythonprov

Revision 1.56  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.55  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.54  2006/01/17 10:01:58  adamg
- updated to 1.0.4

Revision 1.53  2005/11/26 08:10:26  paszczus
- updated to 1.0.3
- adaptarized

Revision 1.52  2005/10/25 12:14:18  arekm
- up to 1.0.2

Revision 1.51  2005/09/11 16:26:52  arekm
- updated to 1.0.1

Revision 1.50  2005/08/14 18:33:42  arekm
- up to 1.0.0

Revision 1.49  2005/06/23 06:06:28  arekm
- rel 2; fixed EA handling

Revision 1.48  2005/04/17 13:16:51  arekm
- up to 0.13.6

Revision 1.47  2005/03/29 06:43:21  adamg
- updated to 0.13.5

Revision 1.46  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.45  2004/12/25 19:29:08  zawadaa
- URL project update
- STBR for python 2.4

Revision 1.44  2004/10/24 23:10:02  paladine
- spelling fixes, uppercases, etc.

Revision 1.43  2004/08/26 18:34:18  arekm
- add R: python-pyxattr, too

Revision 1.42  2004/08/26 18:27:57  arekm
- add R: python acl lib

Revision 1.41  2004/07/28 08:03:19  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.40  2004/02/05 18:17:12  eothane
- updated to 0.13.4

Revision 1.39  2003/10/18 20:58:43  radek
- added examples.html

Revision 1.38  2003/10/16 21:26:55  qboosh
- typo and minor pl fixes, use pyrequires_eq

Revision 1.37  2003/10/16 06:14:17  snurf
- typo

Revision 1.36  2003/10/16 03:35:53  snurf
- added better pl description

Revision 1.35  2003/10/14 11:40:06  adamg
- updated to 0.13.3

Revision 1.34  2003/09/18 13:23:13  adamg
- updated to 0.13.2

Revision 1.33  2003/09/14 12:31:21  areq
- 0.12.4

Revision 1.32  2003/08/29 19:40:38  arekm
- apply fixes from r12 branch (will be in 0.12.4); rel 2

Revision 1.31  2003/08/19 22:16:41  blues
- cosmetics (TODO: good pl-translation)

Revision 1.30  2003/08/09 11:00:51  areq
- BR popt-devel

Revision 1.29  2003/08/09 09:10:01  areq
- 0.12.3
- BR new rsynclib

Revision 1.28  2003/08/04 20:40:41  arekm
- another python 2.3 fix (don't open directory with open, use os.open)

Revision 1.27  2003/08/03 18:41:25  arekm
- fix bux exposed by python 2.3; rel 2

Revision 1.26  2003/07/26 13:00:15  areq
- 0.12.2

Revision 1.25  2003/07/23 10:00:07  areq
- add resore patch - fix problem with old archiwe

Revision 1.24  2003/07/22 20:12:13  areq
- add python23.patch

Revision 1.23  2003/07/22 19:25:34  areq
- 0.12.1

Revision 1.22  2003/06/26 09:34:54  areq
- 0.12.0

Revision 1.21  2003/06/22 20:21:07  areq
- 0.11.5

Revision 1.20  2003/06/20 18:37:40  eothane
- Source0: & URL: update

Revision 1.19  2003/05/28 13:01:37  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:26:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/03/16 10:01:16  areq
- 0.11.4

Revision 1.16  2003/03/02 09:36:31  areq
- 0.11.2

Revision 1.15  2002/12/31 18:16:20  areq
- 0.11.1, STBR

Revision 1.14  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.13  2002/09/11 09:49:28  areq
- 0.10.0, STBR

Revision 1.12  2002/08/10 11:52:46  areq
- 0.9.5, STBR  ****** IMPORTANT ****** Fixed serious permissions bug

Revision 1.11  2002/07/25 07:41:14  areq
- 0.9.4, STBR (few bugfixes)

Revision 1.10  2002/07/17 09:42:03  areq
- up to 0.9.3, fast and powerful
- update description
- STBR

Revision 1.9  2002/07/12 20:36:17  areq
- 0.8.0, STBR
- new %doc

Revision 1.8  2002/05/15 11:15:04  areq
- 0.7.4
- add	Requires:       librsync
- add	Requires:       python-modules

Revision 1.7  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:47  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/13 10:28:17  qboosh
- adapterized, pl description, cosmetics

Revision 1.3  2001/10/18 11:06:50  pascalek
- s/Python/python

Revision 1.2  2001/10/17 13:45:12  grzegorz
- don't compress FAQ.html

Revision 1.1  2001/10/17 12:45:35  pascalek
- initial revision
